
QGIS Application - Bug report #992

GeoJP2 images improperly displayed as all black

2008-03-14 01:43 PM - coatman -

Status: Closed

Priority: Low

Assignee: ersts -

Category: Rasters

Affected QGIS version: Regression?: No

Operating System: OS X Easy fix?: No

Pull Request or Patch supplied: Resolution: duplicate

Crashes QGIS or corrupts data: Copied to github as #: 11052

Description

[[GeoJPEG]]2000 images that are properly displayed by QGIS 0.8.0 are improperly displayed by QGIS 0.9.2rc1-Ganymede (8079) as all

black. I can provide (small) sample [[GeoJP]]2 images that are properly displayed by QGIS 0.8.0 and ESRI [[ArcGIS]] and Photoshop and

[[GeoJasPer]] and Kakadu, that are improperly displayed by QGIS 0.9.2 as all black.

History

#1 - 2008-05-30 08:55 AM - ersts -

coatman - Could you please verify that this is still an issue with v0.10.0.

If it is still a problem, it would be great if you could supply a sample image.

#2 - 2008-05-30 09:30 AM - coatman -

QGIS, version 0.10.0-Io revision 8376, compiled for Mac OS X, downloaded from the official QGIS web site, does not properly display JPEG2000 images.

 Some images are displayed with all black pixels.  For most JPEG2000 images, the columns near the right edge and the rows near the bottom edge are

improperly displayed.

My web site visually shows these problems, and offers small sample .jp2 files, available for downloading for free, that can be used to demonstrate the

problem.

http://homepage.mac.com/gregcoats/jp2.html

Greg

#3 - 2008-06-08 06:28 PM - ersts -

- Status changed from Open to Closed

- Resolution set to invalid

I cannot reproduce these issues on linux(ubuntu 8.04) with QGIS r>8376, GDAL 1.4 or 1.5 and Jasper 1.9

I can reproduce these problems on both Windows and [[MacOSX]] with the most recent versions of GDAL and Jasper.

As these two issues report here are also present when using gdal_translate on [[MacOSX]] and Windows, I have to conclude that the issue has to do with

building Jasper or GDAL or both or these particular files for other JP2s display without problems using the same builds.

As this is not an bug introduced by QGIS, I am closing this ticket and hope the devs from Jasper & GDAL will be able to solve this problem with the

Windows and [[MacOSX]] builds as it will, in the end, benefit the QGIS community.
#4 - 2008-06-08 06:44 PM - coatman -

This is indeed a bug introduce by QGIS.  QGIS 0.8.0 worked fine, that was great.  None of the subsequent releases of QGIS properly display JPEG2000

images.

This can be easily seen by viewing the web page

http://homepage.mac.com/gregcoats/jp2.html

The point is that the current version of QGIS, downloaded from the official QGIS web site, does not properly display JPEG2000 images!  How can that be

ignored?

This is visually demonstrated on my web site

http://homepage.mac.com/gregcoats/jp2.html

QGIS 0.8.0 properly displayed all JPEG2000 images with both Jasper and Kakadu.  That was great!

But no version of QGIS released since version 0.8.0 properly displays JPEG2000 images with Jasper nor Kakadu.

So why isn't that a problem with QGIS?

Have you viewed the details on my web page?

http://homepage.mac.com/gregcoats/jp2.html

Have you worked with any of the 5 example JP2 images on my web page?

Have we waited 3 months to be told that the problem clearly, visually demonstrated on

http://homepage.mac.com/gregcoats/jp2.html

does not exits?

#5 - 2008-06-08 07:37 PM - coatman -

- Resolution deleted (invalid)

- Status changed from Closed to Feedback

The problem is that QGIS 0.8.0 properly displayed JPEG2000 images.  Since then, neither Jasper nor Kakadu have changed, but no version of QGIS

since 0.8.0 properly displays JPEG2000 images.

All the visual evidence needed is here

http://homepage.mac.com/gregcoats/jp2.html

for all to see.

Again, even the official release of the latest version of QGIS for Mac OS X from the QGIS web site does not properly display JPEG2000 images.  Surely

QGIS has to fix that problem!?  

Have you downloaded any of the 5 sample JP2 images, that I was asked to create and make available for testing, and that clearly show QGIS failures

since version 0.8.0?

#6 - 2008-07-08 04:02 PM - Tim Sutton

can we merge this ticket with #996 ? It seems to be essentially the same issue?

#7 - 2008-07-08 08:09 PM - coatman -

I would say no because there are two independent problems: 

#3905 QGIS does not properly display JPEG2000 images when it relies upon the [[JasPer]] code, even though the [[JasPer]] code works fine by itself

#3906 QGIS does not properly display JPEG2000 images when it relies upon the Kakadu code, even though the Kakadu code works fine by itself, and

QGIS version 0.8.0 properly displayed JPEG2000 images using both [[JasPer]] and Kakadu.  Fixing one of these problems does nothing to contribute to a

fix to the other problem.

#8 - 2008-08-02 04:15 AM - Tim Sutton
Hi

I have added a regression test for this ticket to the unit testing framework - regression992 (commit . I used the cmyk test image from your (Greg Coats) web

site as the basis for the test. The test passes successfully for me on Ubuntu. I will ask William to test on Mac and see if it passes ok for him - or Greg if you

are building from source on mac it would be great if you can verify it is still failing.

Regards

Tim

#9 - 2008-08-05 01:37 PM - Tim Sutton

I have updated this ticket with two attachments showing outputs of the unit test I wrote, first on ubuntu and then on mac (kindly provided by John Tull).

#10 - 2008-12-13 08:48 AM - Jürgen Fischer

- Status changed from Feedback to Closed

- Resolution set to duplicate

duplicate of #996

#11 - 2009-08-22 12:57 AM - Anonymous

Milestone Version 1.0.0 deleted

Files

regression992_report_ubuntu8.0.4.jpeg 50.9 KB 2008-08-05 Tim Sutton

regression992_report_osx-10.5.4JasPerv1.900.1.jpeg 41.6 KB 2008-08-05 Tim Sutton
